> ## Name

> cgD3D10SetTextureSamplerStateParameter - Sets a texture resource and sampler state object to a Cg sampler parameter.

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgD3D10SetTextureSamplerStateParameter( CGparameter param,
>                                                  ID3D10Resource * texture,
>                                                  ID3D10SamplerState * samplerState );

> ## Parameters

> param
>   The sampler parameter whose texture and state is to be set.
> texture
>   The texture resource object being set.
> samplerState
>   The sampler state object being set.

> ## Return Values

> None.

> ## Description

> cgD3D10SetTextureSamplerStateParameter accomplishes the same thing as calling both cgD3D10SetTextureParameter and cgD3D10SetSamplerStateParameter together.

> ## Examples

> ID3D10Resource * myTexture; ID3D10SamplerState * mySamplerState;

> Device->CreateTexture2D( &desc, &initalData, &myTexture ); Device->CreateSamplerState( &desc, &mySamplerState );

> cgD3D10SetTextureSamplerStateParameter( myCgSamplerParam, myTexture, mySamplerState );

> ## Errors

> CG_INVALID_PARAMETER_ERROR is generated if param is invalid.

> ## History

> cgD3D10SetTextureSamplerStateParameter was introduced in Cg 2.1.

> ## See Also

> cgD3D10SetTextureParameter, cgD3D10SetSamplerStateParameter